--Converts an integer subtype intensity into a HEX string
--BY Jonathan Busch
--Date 11/5/99

with Ada.Integer_Text_Io;
with Ada.Text_Io;
with Mcc.Gui;
use Mcc.Gui;

package body Hex is


   function Hex_String (
         Data : Mcc.Gui.Intensity ) 
     return String is 

      Temp_String : String (1 .. 6);  

   begin -- Hex_String
      Ada.Integer_Text_Io.Put(
        To   => Temp_String, 
        Item => Integer(Data),
        Base => 16);
      if Temp_String(4) = '#' then
         Temp_String(4) := '0';
      end if;
      return Temp_String(4..5);
   end Hex_String;

end Hex;